
package de.ivu.elect.business.kandidatenportal.control;

import javax.inject.Inject;
import javax.enterprise.event.Event;

import de.ivu.elect.business.kandidatenportal.entity.WvpWarnung;
import de.ivu.elect.business.kandidatenportal.boundary.WvpWarnungDAO;
import de.ivu.elect.business.kandidatenportal.boundary.WvpWarnungCreateEvent;

// abgeleitete Klasse NICHT mit "@javax.ejb.Stateless" annotieren!
public abstract class AbstractWvpWarnungCreate {

  @Inject
  protected WvpWarnungDAO dao;

    @Inject
    transient Event<WvpWarnungCreateEvent> createEvent;



  


public void save(WvpWarnung entity) {
    dao.persist(entity);
    sendCreateEvent(entity);
  }

  public void sendCreateEvent(WvpWarnung entity) {
        createEvent.fire(new WvpWarnungCreateEvent(entity));
  }

}
